Name:           apache-commons-lang3
Version:        3.9
Release:        3
Summary:        Apache Commons Lang version 3.0
License:        ASL 2.0
URL:            http://commons.apache.org/lang
Source0:        http://archive.apache.org/dist/commons/lang/source/commons-lang3-%{version}-src.tar.gz

BuildArch:      noarch
BuildRequires:  maven-local mvn(org.apache.commons:commons-parent:pom:)
BuildRequires:  mvn(org.apache.maven.plugins:maven-antrun-plugin)

%description
The standard Java libraries fail to provide enough methods for
manipulation of its core classes. The Commons Lang Component provides
these extra methods.
Lang provides a host of helper utilities for the java.lang API,
notably String manipulation methods, basic numerical methods, object
reflection, concurrency, creation and serialization and System
properties. Additionally it contains basic enhancements to
java.util.Date and a series of utilities dedicated to help with
building methods, such as hashCode, toString and equals.
Note that Lang 3.0 (and subsequent versions) use a different
package (org.apache.commons.lang3) than the previous
versions (org.apache.commons.lang), allowing it to be used at the same
time as an earlier version.

%package        help
Summary:        Documents for apache-commons-lang3

Provides:       %{name}-javadoc = %{version}-%{release}
Obsoletes:      %{name}-javadoc < %{version}-%{release}

%description    help
The apache-commons-lang3-help package contains related documents.

%prep
%autosetup -n commons-lang3-%{version}-src -p1

%mvn_file : %{name} commons-lang3

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt NOTICE.txt

%files help -f .mfiles-javadoc
%doc RELEASE-NOTES.txt

%changelog
* Thu Dec 05 2019 Jiangping Hu <hujiangping@huawei.com> - 3.9.3
- Package init
